Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class JavaUtils

    java.lang.Object
      org.apache.axis2.util.JavaUtils

    public class JavaUtils

extends java.lang.Object

JavaUtils

Field Summary
`static java.lang.String[]` | `EMPTY_STRING_ARRAY` An empty immutable `String` array.

Constructor Summary
`JavaUtils()`

Method Summary
`static java.lang.String` | `callStackToString()` Get a string containing the stack of the current location.
`static java.lang.String` | `capitalizeFirstChar(java.lang.String name)` Capitalizes the first character of the name.
`static java.lang.String` | `getObjectIdentity(java.lang.Object obj)` Mimics the default Object.toString() produces a string of the form: obj.getClass().getName() + "@" + object's hashCode.
`static java.lang.Class` | `getWrapperClass(java.lang.Class primitive)`
`static java.lang.Class` | `getWrapperClass(java.lang.String primitive)`
`static boolean` | `hasUpperCase(java.lang.String word)` Check if the word has any uppercase letters
`static int` | `indexOfIgnoreCase(java.lang.String string, java.lang.String search)` Scans the parameter string for the parameter search ignoring case when comparing characters.
`static boolean` | `isFalse(java.lang.Object value)`
`static boolean` | `isFalse(java.lang.Object value, boolean defaultVal)` Tests the Object 'value': if its null, return default.
`static boolean` | `isFalse(java.lang.String value)` Tests the String 'value': return 'true' if its 'false', '0', or 'no' - else 'false' Follow in 'C' tradition of boolean values: false is specific (0), everything else is true;
`static boolean` | `isFalseExplicitly(java.lang.Object value)`
`static boolean` | `isFalseExplicitly(java.lang.Object value, boolean defaultVal)` Tests the Object 'value': if its null, return default.
`static boolean` | `isFalseExplicitly(java.lang.String value)` Tests the String 'value': return 'true' if its null, 'false', '0', or 'no' - else 'false'
`static boolean` | `isJavaId(java.lang.String id)`
`static boolean` | `isJavaKeyword(java.lang.String keyword)` Checks if the input string is a valid java keyword.
`static boolean` | `isTrue(java.lang.Object value)`
`static boolean` | `isTrue(java.lang.Object value, boolean defaultVal)` Tests the Object 'value': if its null, return default.
`static boolean` | `isTrue(java.lang.String value)` Tests the String 'value': return 'false' if its 'false', '0', or 'no' - else 'true' Follow in 'C' tradition of boolean values: false is specific (0), everything else is true;
`static boolean` | `isTrueExplicitly(java.lang.Object value)`
`static boolean` | `isTrueExplicitly(java.lang.Object value, boolean defaultVal)` Tests the Object 'value': if its null, return default.
`static boolean` | `isTrueExplicitly(java.lang.String value)` Tests the String 'value': return 'true' if its 'true', '1', or 'yes' - else 'false'
`static java.lang.String` | `makeNonJavaKeyword(java.lang.String keyword)` Turns a java keyword string into a non-Java keyword string.
`static java.lang.String` | `replace(java.lang.String name, java.lang.String oldT, java.lang.String newT)` replace: Like String.replace except that the old new items are strings.
`static java.lang.String[]` | `split(java.lang.String str, char separatorChar)` Splits the provided text into an array, separator specified.
`static java.lang.String` | `stackToString(java.lang.Throwable e)` Get a string containing the stack of the specified exception
`static java.lang.String` | `xmlNameToJava(java.lang.String name)`
`static java.lang.String` | `xmlNameToJavaIdentifier(java.lang.String name)` converts an xml name to a java identifier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STRING_ARRAY

    public static final java.lang.String[] EMPTY_STRING_ARRAY

  An empty immutable `String` array.

Constructor Detail

### JavaUtils

    public JavaUtils()

Method Detail

### isJavaKeyword

    public static boolean isJavaKeyword(java.lang.String keyword)

  Checks if the input string is a valid java keyword.

  Returns:
    Returns boolean.

### hasUpperCase

    public static boolean hasUpperCase(java.lang.String word)

  Check if the word has any uppercase letters

  Parameters:
    `word` -
  Returns:

### makeNonJavaKeyword

    public static java.lang.String makeNonJavaKeyword(java.lang.String keyword)

  Turns a java keyword string into a non-Java keyword string. (Right now this simply means appending an underscore.)

### xmlNameToJava

    public static java.lang.String xmlNameToJava(java.lang.String name)

### capitalizeFirstChar

    public static java.lang.String capitalizeFirstChar(java.lang.String name)

  Capitalizes the first character of the name.

  Parameters:
    `name` -
  Returns:
    Returns String.

### xmlNameToJavaIdentifier

    public static java.lang.String xmlNameToJavaIdentifier(java.lang.String name)

  converts an xml name to a java identifier

  Parameters:
    `name` -
  Returns:
    java identifier

### isTrue

    public static boolean isTrue(java.lang.String value)

  Tests the String 'value': return 'false' if its 'false', '0', or 'no' - else 'true'

  Follow in 'C' tradition of boolean values: false is specific (0), everything else is true;

### isTrueExplicitly

    public static boolean isTrueExplicitly(java.lang.String value)

  Tests the String 'value': return 'true' if its 'true', '1', or 'yes' - else 'false'

### isTrueExplicitly

    public static boolean isTrueExplicitly(java.lang.Object value,
                                           boolean defaultVal)

  Tests the Object 'value': if its null, return default. if its a Boolean, return booleanValue() if its an Integer, return 'false' if its '0' else 'true' if its a String, return isTrueExplicitly((String)value). All other types return 'true'

### isTrueExplicitly

    public static boolean isTrueExplicitly(java.lang.Object value)

### isTrue

    public static boolean isTrue(java.lang.Object value,
                                 boolean defaultVal)

  Tests the Object 'value': if its null, return default. if its a Boolean, return booleanValue() if its an Integer, return 'false' if its '0' else 'true' if its a String, return 'false' if its 'false', 'no', or '0' - else 'true' All other types return 'true'

### isTrue

    public static boolean isTrue(java.lang.Object value)

### isFalse

    public static boolean isFalse(java.lang.String value)

  Tests the String 'value': return 'true' if its 'false', '0', or 'no' - else 'false'

  Follow in 'C' tradition of boolean values: false is specific (0), everything else is true;

### isFalseExplicitly

    public static boolean isFalseExplicitly(java.lang.String value)

  Tests the String 'value': return 'true' if its null, 'false', '0', or 'no' - else 'false'

### isFalseExplicitly

    public static boolean isFalseExplicitly(java.lang.Object value,
                                            boolean defaultVal)

  Tests the Object 'value': if its null, return default. if its a Boolean, return !booleanValue() if its an Integer, return 'true' if its '0' else 'false' if its a String, return isFalseExplicitly((String)value). All other types return 'false'

### isFalseExplicitly

    public static boolean isFalseExplicitly(java.lang.Object value)

### isFalse

    public static boolean isFalse(java.lang.Object value,
                                  boolean defaultVal)

  Tests the Object 'value': if its null, return default. if its a Boolean, return booleanValue() if its an Integer, return 'false' if its '0' else 'true' if its a String, return 'false' if its 'false', 'no', or '0' - else 'true' All other types return 'true'

### isFalse

    public static boolean isFalse(java.lang.Object value)

### isJavaId

    public static boolean isJavaId(java.lang.String id)

### split

    public static java.lang.String[] split(java.lang.String str,
                                           char separatorChar)

  Splits the provided text into an array, separator specified. This is an alternative to using StringTokenizer.

  The separator is not included in the returned String array. Adjacent separators are treated as one separator.

  A `null` input String returns `null`.

       StringUtils.split(null, *)         = null
       StringUtils.split("", *)           = []
       StringUtils.split("a.b.c", '.')    = ["a", "b", "c"]
       StringUtils.split("a..b.c", '.')   = ["a", "b", "c"]
       StringUtils.split("a:b:c", '.')    = ["a:b:c"]
       StringUtils.split("a\tb\nc", null) = ["a", "b", "c"]
       StringUtils.split("a b c", ' ')    = ["a", "b", "c"]

  Parameters:
    `str` - the String to parse, may be null
    `separatorChar` - the character used as the delimiter, `null` splits on whitespace
  Returns:
    an array of parsed Strings, `null` if null String input

### getWrapperClass

    public static java.lang.Class getWrapperClass(java.lang.Class primitive)

### getWrapperClass

    public static java.lang.Class getWrapperClass(java.lang.String primitive)

### indexOfIgnoreCase

    public static int indexOfIgnoreCase(java.lang.String string,
                                        java.lang.String search)

  Scans the parameter string for the parameter search ignoring case when comparing characters.

  Parameters:
    `string` -
    `search` - If test is empty -1 is always returned.
  Returns:
    -1 if the string was not found or the index of the first matching character

### replace

    public static final java.lang.String replace(java.lang.String name,
                                                 java.lang.String oldT,
                                                 java.lang.String newT)

  replace: Like String.replace except that the old new items are strings.

  Parameters:
    `name` - string
    `oldT` - old text to replace
    `newT` - new text to use
  Returns:
    replacement string

### callStackToString

    public static java.lang.String callStackToString()

  Get a string containing the stack of the current location. Note This utility is useful in debug scenarios to dump out the call stack.

  Returns:
    String

### stackToString

    public static java.lang.String stackToString(java.lang.Throwable e)

  Get a string containing the stack of the specified exception

  Parameters:
    `e` -
  Returns:

### getObjectIdentity

    public static java.lang.String getObjectIdentity(java.lang.Object obj)

  Mimics the default Object.toString() produces a string of the form: obj.getClass().getName() + "@" + object's hashCode. This method can be used to print the debug message when you want just the short name or if using the toString will cause full expansion of underlying data structures. The returned value can also be used as an identity key.

  Returns:
    obj.getClass().getName() + "@" + Integer.toHexString(System.identityHashCode(obj));

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.